/[gentoo-x86]/eclass/kde4-base.eclass
Gentoo

Diff of /eclass/kde4-base.eclass

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.112 Revision 1.149
1# Copyright 1999-2012 Gentoo Foundation 1# Copyright 1999-2015 Gentoo Foundation
2# Distributed under the terms of the GNU General Public License v2 2# Distributed under the terms of the GNU General Public License v2
3# $Header: /var/cvsroot/gentoo-x86/eclass/kde4-base.eclass,v 1.112 2012/01/17 11:20:03 johu Exp $ 3# $Header: /var/cvsroot/gentoo-x86/eclass/kde4-base.eclass,v 1.149 2015/03/29 10:29:42 johu Exp $
4 4
5# @ECLASS: kde4-base.eclass 5# @ECLASS: kde4-base.eclass
6# @MAINTAINER: 6# @MAINTAINER:
7# kde@gentoo.org 7# kde@gentoo.org
8# @BLURB: This eclass provides functions for kde 4.X ebuilds 8# @BLURB: This eclass provides functions for kde 4.X ebuilds
9# @DESCRIPTION: 9# @DESCRIPTION:
10# The kde4-base.eclass provides support for building KDE4 based ebuilds 10# The kde4-base.eclass provides support for building KDE4 based ebuilds
11# and KDE4 applications. 11# and KDE4 applications.
12# 12#
13# NOTE: KDE 4 ebuilds currently support EAPI "3". This will be reviewed 13# NOTE: KDE 4 ebuilds currently support EAPI 5. This will be
14# over time as new EAPI versions are approved. 14# reviewed over time as new EAPI versions are approved.
15
16if [[ -z ${_KDE4_BASE_ECLASS} ]]; then
17_KDE4_BASE_ECLASS=1
15 18
16# @ECLASS-VARIABLE: KDE_SELINUX_MODULE 19# @ECLASS-VARIABLE: KDE_SELINUX_MODULE
17# @DESCRIPTION: 20# @DESCRIPTION:
18# If set to "none", do nothing. 21# If set to "none", do nothing.
19# For any other value, add selinux to IUSE, and depending on that useflag 22# For any other value, add selinux to IUSE, and depending on that useflag
20# add a dependency on sec-policy/selinux-${KDE_SELINUX_MODULE} to (R)DEPEND 23# add a dependency on sec-policy/selinux-${KDE_SELINUX_MODULE} to (R)DEPEND
21: ${KDE_SELINUX_MODULE:=none} 24: ${KDE_SELINUX_MODULE:=none}
22 25
26# @ECLASS-VARIABLE: VIRTUALDBUS_TEST
27# @DESCRIPTION:
28# If defined, launch and use a private dbus session during src_test.
29
23# @ECLASS-VARIABLE: VIRTUALX_REQUIRED 30# @ECLASS-VARIABLE: VIRTUALX_REQUIRED
24# @DESCRIPTION: 31# @DESCRIPTION:
25# For proper description see virtualx.eclass manpage. 32# For proper description see virtualx.eclass manpage.
26# Here we redefine default value to be manual, if your package needs virtualx 33# Here we redefine default value to be manual, if your package needs virtualx
27# for tests you should proceed with setting VIRTUALX_REQUIRED=test. 34# for tests you should proceed with setting VIRTUALX_REQUIRED=test.
28: ${VIRTUALX_REQUIRED:=manual} 35: ${VIRTUALX_REQUIRED:=manual}
29 36
30inherit kde4-functions toolchain-funcs fdo-mime gnome2-utils base virtualx versionator eutils 37inherit kde4-functions toolchain-funcs fdo-mime flag-o-matic gnome2-utils virtualx versionator eutils multilib
31 38
32if [[ ${BUILD_TYPE} = live ]]; then 39if [[ ${KDE_BUILD_TYPE} = live ]]; then
33 case ${KDE_SCM} in 40 case ${KDE_SCM} in
34 svn) inherit subversion ;; 41 svn) inherit subversion ;;
35 git) inherit git-2 ;; 42 git) inherit git-r3 ;;
36 esac 43 esac
37fi 44fi
38 45
39# @ECLASS-VARIABLE: CMAKE_REQUIRED 46# @ECLASS-VARIABLE: CMAKE_REQUIRED
40# @DESCRIPTION: 47# @DESCRIPTION:
57KDE_MINIMAL="${KDE_MINIMAL:-4.4}" 64KDE_MINIMAL="${KDE_MINIMAL:-4.4}"
58 65
59# Set slot for KDEBASE known packages 66# Set slot for KDEBASE known packages
60case ${KDEBASE} in 67case ${KDEBASE} in
61 kde-base) 68 kde-base)
62 SLOT=4 69 SLOT=4/$(get_version_component_range 1-2)
63 KDE_MINIMAL="${PV}" 70 KDE_MINIMAL="${PV}"
64 ;; 71 ;;
65 koffice)
66 SLOT="2"
67 ;;
68 kdevelop) 72 kdevelop)
69 if [[ ${BUILD_TYPE} = live ]]; then 73 if [[ ${KDE_BUILD_TYPE} = live ]]; then
70 # @ECLASS-VARIABLE: KDEVELOP_VERSION 74 # @ECLASS-VARIABLE: KDEVELOP_VERSION
71 # @DESCRIPTION: 75 # @DESCRIPTION:
72 # Specifies KDevelop version. Default is 4.0.0 for tagged packages and 9999 for live packages. 76 # Specifies KDevelop version. Default is 4.0.0 for tagged packages and 9999 for live packages.
73 # Applies to KDEBASE=kdevelop only. 77 # Applies to KDEBASE=kdevelop only.
74 KDEVELOP_VERSION="${KDEVELOP_VERSION:-9999}" 78 KDEVELOP_VERSION="${KDEVELOP_VERSION:-4.9999}"
75 # @ECLASS-VARIABLE: KDEVPLATFORM_VERSION 79 # @ECLASS-VARIABLE: KDEVPLATFORM_VERSION
76 # @DESCRIPTION: 80 # @DESCRIPTION:
77 # Specifies KDevplatform version. Default is 1.0.0 for tagged packages and 9999 for live packages. 81 # Specifies KDevplatform version. Default is 1.0.0 for tagged packages and 9999 for live packages.
78 # Applies to KDEBASE=kdevelop only. 82 # Applies to KDEBASE=kdevelop only.
79 KDEVPLATFORM_VERSION="${KDEVPLATFORM_VERSION:-9999}" 83 KDEVPLATFORM_VERSION="${KDEVPLATFORM_VERSION:-4.9999}"
80 else 84 else
81 case ${PN} in 85 case ${PN} in
82 kdevelop|quanta) 86 kdevelop)
83 KDEVELOP_VERSION=${PV} 87 KDEVELOP_VERSION=${PV}
84 KDEVPLATFORM_VERSION="$(($(get_major_version)-3)).$(get_after_major_version)" 88 KDEVPLATFORM_VERSION="$(($(get_major_version)-3)).$(get_after_major_version)"
85 ;; 89 ;;
86 kdevplatform) 90 kdevplatform|kdevelop-php*|kdevelop-python)
87 KDEVELOP_VERSION="$(($(get_major_version)+3)).$(get_after_major_version)" 91 KDEVELOP_VERSION="$(($(get_major_version)+3)).$(get_after_major_version)"
88 KDEVPLATFORM_VERSION=${PV} 92 KDEVPLATFORM_VERSION=${PV}
89 ;; 93 ;;
90 *) 94 *)
91 KDEVELOP_VERSION="${KDEVELOP_VERSION:-4.0.0}" 95 KDEVELOP_VERSION="${KDEVELOP_VERSION:-4.0.0}"
103unset buildsystem_eclass 107unset buildsystem_eclass
104unset export_fns 108unset export_fns
105 109
106# @ECLASS-VARIABLE: DECLARATIVE_REQUIRED 110# @ECLASS-VARIABLE: DECLARATIVE_REQUIRED
107# @DESCRIPTION: 111# @DESCRIPTION:
108# Is qt-declarative required? Possible values are 'always', 'optional' and 'never'. 112# Is qtdeclarative required? Possible values are 'always', 'optional' and 'never'.
109# This variable must be set before inheriting any eclasses. Defaults to 'never'. 113# This variable must be set before inheriting any eclasses. Defaults to 'never'.
110DECLARATIVE_REQUIRED="${DECLARATIVE_REQUIRED:-never}" 114DECLARATIVE_REQUIRED="${DECLARATIVE_REQUIRED:-never}"
111 115
112# @ECLASS-VARIABLE: QTHELP_REQUIRED 116# @ECLASS-VARIABLE: QTHELP_REQUIRED
113# @DESCRIPTION: 117# @DESCRIPTION:
114# Is qt-assistant required? Possible values are 'always', 'optional' and 'never'. 118# Is qthelp required? Possible values are 'always', 'optional' and 'never'.
115# This variable must be set before inheriting any eclasses. Defaults to 'never'. 119# This variable must be set before inheriting any eclasses. Defaults to 'never'.
116QTHELP_REQUIRED="${QTHELP_REQUIRED:-never}" 120QTHELP_REQUIRED="${QTHELP_REQUIRED:-never}"
117 121
118# @ECLASS-VARIABLE: OPENGL_REQUIRED 122# @ECLASS-VARIABLE: OPENGL_REQUIRED
119# @DESCRIPTION: 123# @DESCRIPTION:
120# Is qt-opengl required? Possible values are 'always', 'optional' and 'never'. 124# Is qtopengl required? Possible values are 'always', 'optional' and 'never'.
121# This variable must be set before inheriting any eclasses. Defaults to 'never'. 125# This variable must be set before inheriting any eclasses. Defaults to 'never'.
122OPENGL_REQUIRED="${OPENGL_REQUIRED:-never}" 126OPENGL_REQUIRED="${OPENGL_REQUIRED:-never}"
123 127
124# @ECLASS-VARIABLE: MULTIMEDIA_REQUIRED 128# @ECLASS-VARIABLE: MULTIMEDIA_REQUIRED
125# @DESCRIPTION: 129# @DESCRIPTION:
126# Is qt-multimedia required? Possible values are 'always', 'optional' and 'never'. 130# Is qtmultimedia required? Possible values are 'always', 'optional' and 'never'.
127# This variable must be set before inheriting any eclasses. Defaults to 'never'. 131# This variable must be set before inheriting any eclasses. Defaults to 'never'.
128MULTIMEDIA_REQUIRED="${MULTIMEDIA_REQUIRED:-never}" 132MULTIMEDIA_REQUIRED="${MULTIMEDIA_REQUIRED:-never}"
129 133
130# @ECLASS-VARIABLE: CPPUNIT_REQUIRED 134# @ECLASS-VARIABLE: CPPUNIT_REQUIRED
131# @DESCRIPTION: 135# @DESCRIPTION:
153# @ECLASS-VARIABLE: KDE_LINGUAS_LIVE_OVERRIDE 157# @ECLASS-VARIABLE: KDE_LINGUAS_LIVE_OVERRIDE
154# @DESCRIPTION: 158# @DESCRIPTION:
155# Set this varible if you want your live package to manage its 159# Set this varible if you want your live package to manage its
156# translations. (Mostly all kde ebuilds does not ship documentation 160# translations. (Mostly all kde ebuilds does not ship documentation
157# and translations in live ebuilds) 161# and translations in live ebuilds)
158if [[ ${BUILD_TYPE} == live && -z ${KDE_LINGUAS_LIVE_OVERRIDE} ]]; then 162if [[ ${KDE_BUILD_TYPE} == live && -z ${KDE_LINGUAS_LIVE_OVERRIDE} ]]; then
159 # Kdebase actualy provides the handbooks even for live stuff 163 # Kdebase actualy provides the handbooks even for live stuff
160 [[ ${KDEBASE} == kde-base ]] || KDE_HANDBOOK=never 164 [[ ${KDEBASE} == kde-base ]] || KDE_HANDBOOK=never
161 KDE_LINGUAS="" 165 KDE_LINGUAS=""
162fi 166fi
163 167
164# Setup packages inheriting this eclass 168# Setup packages inheriting this eclass
165case ${KDEBASE} in 169case ${KDEBASE} in
166 kde-base) 170 kde-base)
167 HOMEPAGE="http://www.kde.org/" 171 HOMEPAGE="http://www.kde.org/"
168 LICENSE="GPL-2" 172 LICENSE="GPL-2"
169 if [[ $BUILD_TYPE = live ]]; then 173 if [[ ${KDE_BUILD_TYPE} = live && -z ${I_KNOW_WHAT_I_AM_DOING} ]]; then
170 # Disable tests for live ebuilds 174 # Disable tests for live ebuilds by default
171 RESTRICT+=" test" 175 RESTRICT+=" test"
172 fi
173
174 # Only add the kdeprefix USE flag for older versions, to help
175 # non-portage package managers handle the upgrade
176 if [[ ${PV} < 4.6.4 && ( ( ${KMNAME} != kdepim && ${PN} != kdepim-runtime ) || ${PV} < 4.6 ) ]]; then
177 IUSE+=" kdeprefix"
178 fi 176 fi
179 177
180 # This code is to prevent portage from searching GENTOO_MIRRORS for 178 # This code is to prevent portage from searching GENTOO_MIRRORS for
181 # packages that will never be mirrored. (As they only will ever be in 179 # packages that will never be mirrored. (As they only will ever be in
182 # the overlay). 180 # the overlay).
183 case ${PV} in 181 case ${PV} in
184 *9999* | 4.?.[6-9]?) 182 *9999* | 4.?.[6-9]? | 4.??.[6-9]? | ??.?.[6-9]? | ??.??.[6-9]?)
185 RESTRICT+=" mirror" 183 RESTRICT+=" mirror"
186 ;; 184 ;;
187 esac 185 esac
188 ;; 186 ;;
189 koffice)
190 HOMEPAGE="http://www.koffice.org/"
191 LICENSE="GPL-2"
192 ;;
193 kdevelop) 187 kdevelop)
194 HOMEPAGE="http://www.kdevelop.org/" 188 HOMEPAGE="http://www.kdevelop.org/"
195 LICENSE="GPL-2" 189 LICENSE="GPL-2"
196 ;; 190 ;;
197esac 191esac
198 192
199# @ECLASS-VARIABLE: QT_MINIMAL 193# @ECLASS-VARIABLE: QT_MINIMAL
200# @DESCRIPTION: 194# @DESCRIPTION:
201# Determine version of qt we enforce as minimal for the package. 195# Determine version of qt we enforce as minimal for the package.
202if version_is_at_least 4.7.80 "${KDE_MINIMAL}"; then
203 QT_MINIMAL="${QT_MINIMAL:-4.7.4}" 196QT_MINIMAL="${QT_MINIMAL:-4.8.5}"
204else
205 QT_MINIMAL="${QT_MINIMAL:-4.7.0}"
206fi
207 197
208# Declarative dependencies 198# Declarative dependencies
209qtdeclarativedepend=" 199qtdeclarativedepend="
210 >=x11-libs/qt-declarative-${QT_MINIMAL}:4 200 >=dev-qt/qtdeclarative-${QT_MINIMAL}:4
211" 201"
212case ${DECLARATIVE_REQUIRED} in 202case ${DECLARATIVE_REQUIRED} in
213 always) 203 always)
214 COMMONDEPEND+=" ${qtdeclarativedepend}" 204 COMMONDEPEND+=" ${qtdeclarativedepend}"
215 ;; 205 ;;
221esac 211esac
222unset qtdeclarativedepend 212unset qtdeclarativedepend
223 213
224# QtHelp dependencies 214# QtHelp dependencies
225qthelpdepend=" 215qthelpdepend="
226 >=x11-libs/qt-assistant-${QT_MINIMAL}:4 216 >=dev-qt/qthelp-${QT_MINIMAL}:4
227" 217"
228case ${QTHELP_REQUIRED} in 218case ${QTHELP_REQUIRED} in
229 always) 219 always)
230 COMMONDEPEND+=" ${qthelpdepend}" 220 COMMONDEPEND+=" ${qthelpdepend}"
231 ;; 221 ;;
236esac 226esac
237unset qthelpdepend 227unset qthelpdepend
238 228
239# OpenGL dependencies 229# OpenGL dependencies
240qtopengldepend=" 230qtopengldepend="
241 >=x11-libs/qt-opengl-${QT_MINIMAL}:4 231 >=dev-qt/qtopengl-${QT_MINIMAL}:4
242" 232"
243case ${OPENGL_REQUIRED} in 233case ${OPENGL_REQUIRED} in
244 always) 234 always)
245 COMMONDEPEND+=" ${qtopengldepend}" 235 COMMONDEPEND+=" ${qtopengldepend}"
246 ;; 236 ;;
252esac 242esac
253unset qtopengldepend 243unset qtopengldepend
254 244
255# MultiMedia dependencies 245# MultiMedia dependencies
256qtmultimediadepend=" 246qtmultimediadepend="
257 >=x11-libs/qt-multimedia-${QT_MINIMAL}:4 247 >=dev-qt/qtmultimedia-${QT_MINIMAL}:4
258" 248"
259case ${MULTIMEDIA_REQUIRED} in 249case ${MULTIMEDIA_REQUIRED} in
260 always) 250 always)
261 COMMONDEPEND+=" ${qtmultimediadepend}" 251 COMMONDEPEND+=" ${qtmultimediadepend}"
262 ;; 252 ;;
282 ;; 272 ;;
283 *) ;; 273 *) ;;
284esac 274esac
285unset cppuintdepend 275unset cppuintdepend
286 276
287
288# WebKit use dependencies
289case ${KDE_REQUIRED} in
290 always)
291 qtwebkitusedeps="[kde]"
292 ;;
293 optional)
294 qtwebkitusedeps="[kde?]"
295 ;;
296 *) ;;
297esac
298# KDE dependencies 277# KDE dependencies
299# Qt accessibility classes are needed in various places, bug 325461 278# Qt accessibility classes are needed in various places, bug 325461
300kdecommondepend=" 279kdecommondepend="
301 dev-lang/perl 280 dev-lang/perl
281 >=dev-qt/qt3support-${QT_MINIMAL}:4[accessibility]
302 >=x11-libs/qt-core-${QT_MINIMAL}:4[qt3support,ssl] 282 >=dev-qt/qtcore-${QT_MINIMAL}:4[qt3support,ssl]
283 >=dev-qt/qtdbus-${QT_MINIMAL}:4
284 >=dev-qt/designer-${QT_MINIMAL}:4[-phonon]
303 >=x11-libs/qt-gui-${QT_MINIMAL}:4[accessibility,dbus] 285 >=dev-qt/qtgui-${QT_MINIMAL}:4[accessibility,dbus(+)]
304 >=x11-libs/qt-qt3support-${QT_MINIMAL}:4[accessibility,kde]
305 >=x11-libs/qt-script-${QT_MINIMAL}:4 286 >=dev-qt/qtscript-${QT_MINIMAL}:4
306 >=x11-libs/qt-sql-${QT_MINIMAL}:4[qt3support] 287 >=dev-qt/qtsql-${QT_MINIMAL}:4[qt3support]
307 >=x11-libs/qt-svg-${QT_MINIMAL}:4 288 >=dev-qt/qtsvg-${QT_MINIMAL}:4
308 >=x11-libs/qt-test-${QT_MINIMAL}:4 289 >=dev-qt/qttest-${QT_MINIMAL}:4
309 >=x11-libs/qt-webkit-${QT_MINIMAL}:4${qtwebkitusedeps} 290 >=dev-qt/qtwebkit-${QT_MINIMAL}:4
310 !aqua? (
311 x11-libs/libXext
312 x11-libs/libXt
313 x11-libs/libXxf86vm
314 x11-libs/libXcomposite
315 x11-libs/libxkbfile
316 )
317" 291"
318 292
319if [[ ${PN} != kdelibs ]]; then 293if [[ ${PN} != kdelibs ]]; then
320 kdecommondepend+=" $(add_kdebase_dep kdelibs)" 294 kdecommondepend+=" $(add_kdebase_dep kdelibs)"
321 if [[ ${KDEBASE} = kdevelop ]]; then 295 if [[ ${KDEBASE} = kdevelop ]]; then
326 # Applies to KDEBASE=kdevelop only. 300 # Applies to KDEBASE=kdevelop only.
327 KDEVPLATFORM_REQUIRED="${KDEVPLATFORM_REQUIRED:-always}" 301 KDEVPLATFORM_REQUIRED="${KDEVPLATFORM_REQUIRED:-always}"
328 case ${KDEVPLATFORM_REQUIRED} in 302 case ${KDEVPLATFORM_REQUIRED} in
329 always) 303 always)
330 kdecommondepend+=" 304 kdecommondepend+="
331 >=dev-util/kdevplatform-${KDEVPLATFORM_VERSION} 305 >=dev-util/kdevplatform-${KDEVPLATFORM_VERSION}:4
332 " 306 "
333 ;; 307 ;;
334 *) ;; 308 *) ;;
335 esac 309 esac
336 fi 310 fi
337 fi 311 fi
338fi 312fi
339 313
340kdedepend=" 314kdedepend="
341 dev-util/automoc 315 dev-util/automoc
342 dev-util/pkgconfig 316 virtual/pkgconfig
343 !aqua? ( 317 !aqua? (
344 >=x11-libs/libXtst-1.1.0 318 >=x11-libs/libXtst-1.1.0
345 x11-proto/xf86vidmodeproto 319 x11-proto/xf86vidmodeproto
346 ) 320 )
347" 321"
348 322
349kderdepend="" 323kderdepend=""
350 324
325if [[ ${CATEGORY} == kde-apps ]]; then
326 kderdepend+=" !kde-base/${PN}"
327fi
328
351# all packages needs oxygen icons for basic iconset 329# all packages needs oxygen icons for basic iconset
352if [[ ${PN} != oxygen-icons ]]; then 330if [[ ${PN} != oxygen-icons ]]; then
353 kderdepend+=" $(add_kdebase_dep oxygen-icons)" 331 kderdepend+=" || ( kde-apps/oxygen-icons $(add_kdebase_dep oxygen-icons '' 4.14.3) )"
354fi 332fi
355 333
356# add a dependency over kde-l10n if EAPI4 or better is around 334# add a dependency over kde-l10n
357if [[ ${KDEBASE} != "kde-base" && -n ${KDE_LINGUAS} && ${EAPI:-0} != 3 ]]; then 335if [[ ${KDEBASE} != "kde-base" && -n ${KDE_LINGUAS} ]]; then
358 for _lingua in ${KDE_LINGUAS}; do 336 for _lingua in ${KDE_LINGUAS}; do
359 # if our package has lignuas, pull in kde-l10n with selected lingua enabled, 337 # if our package has linguas, pull in kde-l10n with selected lingua enabled,
360 # but only for selected ones. 338 # but only for selected ones.
361 # this can't be done on one line because if user doesn't use any localisation 339 # this can't be done on one line because if user doesn't use any localisation
362 # then he is probably not interested in kde-l10n at all. 340 # then he is probably not interested in kde-l10n at all.
363 kderdepend+=" 341 kderdepend+="
364 linguas_${_lingua}? ( $(add_kdebase_dep kde-l10n "linguas_${_lingua}(+)") ) 342 linguas_${_lingua}? ( || ( kde-apps/kde-l10n[linguas_${_lingua}(+)] $(add_kdebase_dep kde-l10n "linguas_${_lingua}(+)") ) )
365 " 343 "
366 done 344 done
367 unset _lingua 345 unset _lingua
368fi 346fi
369 347
394 IUSE+=" selinux" 372 IUSE+=" selinux"
395 kdecommondepend+=" selinux? ( sec-policy/selinux-${KDE_SELINUX_MODULE} )" 373 kdecommondepend+=" selinux? ( sec-policy/selinux-${KDE_SELINUX_MODULE} )"
396 ;; 374 ;;
397esac 375esac
398 376
377# We always need the aqua useflag because otherwise we cannot = refer to it inside
378# add_kdebase_dep. This was always kind of a bug, but came to light with EAPI=5
379# (where referring to a use flag not in IUSE masks the ebuild).
380# The only alternative would be to prohibit using add_kdebase_dep if KDE_REQUIRED=never
381IUSE+=" aqua"
382
399case ${KDE_REQUIRED} in 383case ${KDE_REQUIRED} in
400 always) 384 always)
401 IUSE+=" aqua"
402 [[ -n ${kdecommondepend} ]] && COMMONDEPEND+=" ${kdecommondepend}" 385 [[ -n ${kdecommondepend} ]] && COMMONDEPEND+=" ${kdecommondepend}"
403 [[ -n ${kdedepend} ]] && DEPEND+=" ${kdedepend}" 386 [[ -n ${kdedepend} ]] && DEPEND+=" ${kdedepend}"
404 [[ -n ${kderdepend} ]] && RDEPEND+=" ${kderdepend}" 387 [[ -n ${kderdepend} ]] && RDEPEND+=" ${kderdepend}"
405 ;; 388 ;;
406 optional) 389 optional)
407 IUSE+=" aqua kde" 390 IUSE+=" kde"
408 [[ -n ${kdecommondepend} ]] && COMMONDEPEND+=" kde? ( ${kdecommondepend} )" 391 [[ -n ${kdecommondepend} ]] && COMMONDEPEND+=" kde? ( ${kdecommondepend} )"
409 [[ -n ${kdedepend} ]] && DEPEND+=" kde? ( ${kdedepend} )" 392 [[ -n ${kdedepend} ]] && DEPEND+=" kde? ( ${kdedepend} )"
410 [[ -n ${kderdepend} ]] && RDEPEND+=" kde? ( ${kderdepend} )" 393 [[ -n ${kderdepend} ]] && RDEPEND+=" kde? ( ${kderdepend} )"
411 ;; 394 ;;
412 *) ;; 395 *) ;;
422DEPEND+=" ${COMMONDEPEND}" 405DEPEND+=" ${COMMONDEPEND}"
423RDEPEND+=" ${COMMONDEPEND}" 406RDEPEND+=" ${COMMONDEPEND}"
424unset COMMONDEPEND 407unset COMMONDEPEND
425 408
426# Fetch section - If the ebuild's category is not 'kde-base' and if it is not a 409# Fetch section - If the ebuild's category is not 'kde-base' and if it is not a
427# koffice ebuild, the URI should be set in the ebuild itself 410# kdevelop ebuild, the URI should be set in the ebuild itself
428_calculate_src_uri() { 411_calculate_src_uri() {
429 debug-print-function ${FUNCNAME} "$@" 412 debug-print-function ${FUNCNAME} "$@"
430 413
431 local _kmname _kmname_pv 414 local _kmname _kmname_pv
432 415
433 # we calculate URI only for known KDEBASE modules 416 # we calculate URI only for known KDEBASE modules
434 [[ -n ${KDEBASE} ]] || return 417 [[ -n ${KDEBASE} ]] || return
435 418
436 # calculate tarball module name 419 # calculate tarball module name
437 if [[ -n ${KMNAME} ]]; then 420 if [[ -n ${KMNAME} ]]; then
438 # fixup kdebase-apps name
439 case ${KMNAME} in
440 kdebase-apps)
441 _kmname="kdebase" ;;
442 *)
443 _kmname="${KMNAME}" ;; 421 _kmname="${KMNAME}"
444 esac
445 else 422 else
446 _kmname=${PN} 423 _kmname=${PN}
447 fi 424 fi
448 _kmname_pv="${_kmname}-${PV}" 425 _kmname_pv="${_kmname}-${PV}"
449 case ${KDEBASE} in 426 case ${KDEBASE} in
450 kde-base) 427 kde-base)
451 case ${PV} in 428 case ${PV} in
452 4.[456789].8[05] | 4.[456789].9[0235678]) 429 4.4.11.1)
430 # KDEPIM 4.4, special case
431 # TODO: Remove this part when KDEPIM 4.4 gets out of the tree
432 SRC_URI="mirror://kde/stable/kdepim-${PV}/src/${_kmname_pv}.tar.bz2" ;;
433 4.?.[6-9]? | 4.??.[6-9]?)
453 # Unstable KDE SC releases 434 # Unstable KDE SC releases
454 SRC_URI="mirror://kde/unstable/${PV}/src/${_kmname_pv}.tar.bz2" 435 SRC_URI="mirror://kde/unstable/${PV}/src/${_kmname_pv}.tar.xz" ;;
455 if ! version_is_at_least 4.6.80 ${PV} 436 4.11.14)
456 then 437 # Part of 4.14 actually, sigh. Not stable for next release!
457 # KDEPIM IS SPECIAL 438 SRC_URI="mirror://kde/stable/4.14.3/src/${_kmname_pv}.tar.xz" ;;
458 [[ ${KMNAME} == "kdepim" || ${KMNAME} == "kdepim-runtime" ]] && SRC_URI="mirror://kde/unstable/kdepim/${PV}/${_kmname_pv}.tar.bz2" 439 4.11.17)
440 # Part of 14.12.3 actually, sigh. Not stable for next release!
441 SRC_URI="mirror://kde/stable/applications/14.12.3/src/${_kmname_pv}.tar.xz" ;;
442 4.14.6)
443 # Part of 14.12.3 actually, sigh. Not stable for next release!
444 SRC_URI="mirror://kde/stable/applications/14.12.3/src/${_kmname_pv}.tar.xz" ;;
445 ??.?.[6-9]? | ??.??.[4-9]?)
446 # Unstable KDE Applications releases
447 SRC_URI="mirror://kde/unstable/applications/${PV}/src/${_kmname}-${PV}.tar.xz" ;;
448 *)
449 if [[ ${CATEGORY} == kde-apps ]]; then
450 # Stable KDE Applications releases
451 SRC_URI="mirror://kde/stable/applications/${PV}/src/${_kmname}-${PV}.tar.xz"
452 else
453 # Stable KDE SC releases
454 SRC_URI="mirror://kde/stable/${PV}/src/${_kmname_pv}.tar.xz"
459 fi 455 fi
460 ;; 456 ;;
461 *)
462 # Stable KDE SC releases
463 SRC_URI="mirror://kde/stable/${PV}/src/${_kmname_pv}.tar.bz2"
464 if ! version_is_at_least 4.6.80 ${PV}
465 then
466 # KDEPIM IS SPECIAL
467 # TODO: It might not be with KDE 4.7 (see above)
468 [[ ${KMNAME} == "kdepim" || ${KMNAME} == "kdepim-runtime" ]] && SRC_URI="mirror://kde/stable/kdepim-${PV}/src/${_kmname_pv}.tar.bz2"
469 fi
470 ;;
471 esac 457 esac
472 ;; 458 ;;
473 koffice) 459 kdevelop|kdevelop-php*|kdevplatform)
474 case ${PV} in 460 case ${KDEVELOP_VERSION} in
475 2.[1234].[6-9]*) SRC_URI="mirror://kde/unstable/${_kmname_pv}/${_kmname_pv}.tar.bz2" ;; 461 4.[123].[6-9]*) SRC_URI="mirror://kde/unstable/kdevelop/${KDEVELOP_VERSION}/src/${P}.tar.xz" ;;
476 *) SRC_URI="mirror://kde/stable/${_kmname_pv}/${_kmname_pv}.tar.bz2" ;; 462 *) SRC_URI="mirror://kde/stable/kdevelop/${KDEVELOP_VERSION}/src/${P}.tar.xz" ;;
477 esac 463 esac
478 ;;
479 kdevelop)
480 SRC_URI="mirror://kde/stable/kdevelop/${KDEVELOP_VERSION}/src/${P}.tar.bz2"
481 ;; 464 ;;
482 esac 465 esac
483} 466}
484 467
485_calculate_live_repo() { 468_calculate_live_repo() {
538 # Unpack them in toplevel dir, so that they won't conflict with kde4-meta 521 # Unpack them in toplevel dir, so that they won't conflict with kde4-meta
539 # build packages from same svn location. 522 # build packages from same svn location.
540 ESVN_REPO_URI="${ESVN_MIRROR}/trunk/${KMNAME}/${KMMODULE}" 523 ESVN_REPO_URI="${ESVN_MIRROR}/trunk/${KMNAME}/${KMMODULE}"
541 ESVN_PROJECT="${PN}${ESVN_PROJECT_SUFFIX}" 524 ESVN_PROJECT="${PN}${ESVN_PROJECT_SUFFIX}"
542 ;; 525 ;;
543 koffice)
544 ESVN_REPO_URI="${ESVN_MIRROR}/trunk/${KMNAME}"
545 ;;
546 *) 526 *)
547 ESVN_REPO_URI="${ESVN_MIRROR}/trunk/${KMNAME}/${KMMODULE}" 527 ESVN_REPO_URI="${ESVN_MIRROR}/trunk/${KMNAME}/${KMMODULE}"
548 ;; 528 ;;
549 esac 529 esac
550 else 530 else
553 ESVN_PROJECT="${PN}${ESVN_PROJECT_SUFFIX}" 533 ESVN_PROJECT="${PN}${ESVN_PROJECT_SUFFIX}"
554 fi 534 fi
555 # @ECLASS-VARIABLE: ESVN_UP_FREQ 535 # @ECLASS-VARIABLE: ESVN_UP_FREQ
556 # @DESCRIPTION: 536 # @DESCRIPTION:
557 # This variable is used for specifying the timeout between svn synces 537 # This variable is used for specifying the timeout between svn synces
558 # for kde-base and koffice modules. Does not affect misc apps. 538 # for kde-base modules. Does not affect misc apps.
559 # Default value is 1 hour. 539 # Default value is 1 hour.
560 [[ ${KDEBASE} = kde-base || ${KDEBASE} = koffice ]] && ESVN_UP_FREQ=${ESVN_UP_FREQ:-1} 540 [[ ${KDEBASE} = kde-base ]] && ESVN_UP_FREQ=${ESVN_UP_FREQ:-1}
561 ;; 541 ;;
562 git) 542 git)
563 local _kmname 543 local _kmname
564 # @ECLASS-VARIABLE: EGIT_MIRROR 544 # @ECLASS-VARIABLE: EGIT_MIRROR
565 # @DESCRIPTION: 545 # @DESCRIPTION:
579 else 559 else
580 _kmname=${PN} 560 _kmname=${PN}
581 fi 561 fi
582 562
583 # default branching 563 # default branching
584 [[ ${PV} != 9999* && ${KDEBASE} == kde-base ]] && \ 564 [[ ${PV} != 4.9999* && ${PV} != 9999 && ${KDEBASE} == kde-base ]] && \
585 EGIT_BRANCH="KDE/$(get_kde_version)" 565 EGIT_BRANCH="KDE/$(get_kde_version)"
586 566
587 # default repo uri 567 # default repo uri
588 EGIT_REPO_URI="${EGIT_MIRROR}/${_kmname}" 568 EGIT_REPO_URI+=( "${EGIT_MIRROR}/${_kmname}" )
589 569
590 debug-print "${FUNCNAME}: Repository: ${EGIT_REPO_URI}" 570 debug-print "${FUNCNAME}: Repository: ${EGIT_REPO_URI}"
591 debug-print "${FUNCNAME}: Branch: ${EGIT_BRANCH}" 571 debug-print "${FUNCNAME}: Branch: ${EGIT_BRANCH}"
592 ;; 572 ;;
593 esac 573 esac
594} 574}
595 575
596case ${BUILD_TYPE} in 576case ${KDE_BUILD_TYPE} in
597 live) _calculate_live_repo ;; 577 live) _calculate_live_repo ;;
598 *) _calculate_src_uri ;; 578 *) _calculate_src_uri ;;
599esac 579esac
600 580
601debug-print "${LINENO} ${ECLASS} ${FUNCNAME}: SRC_URI is ${SRC_URI}" 581debug-print "${LINENO} ${ECLASS} ${FUNCNAME}: SRC_URI is ${SRC_URI}"
615 if has handbook ${IUSE} || has "+handbook" ${IUSE} && [ "${KDE_HANDBOOK}" != optional ] ; then 595 if has handbook ${IUSE} || has "+handbook" ${IUSE} && [ "${KDE_HANDBOOK}" != optional ] ; then
616 eqawarn "Handbook support is enabled via KDE_HANDBOOK=optional in the ebuild." 596 eqawarn "Handbook support is enabled via KDE_HANDBOOK=optional in the ebuild."
617 eqawarn "Please do not just set IUSE=handbook, as this leads to dependency errors." 597 eqawarn "Please do not just set IUSE=handbook, as this leads to dependency errors."
618 fi 598 fi
619 599
620 if use_if_iuse kdeprefix; then
621 eerror "Sorry, kdeprefix support has been removed."
622 eerror "Please remove kdeprefix from your USE variable."
623 die "kdeprefix support has been removed"
624 fi
625
626 if [[ ${CATEGORY}/${PN} != kde-base/kdelibs && ${CATEGORY}/${PN} != kde-base/kde-env ]] && \
627 { [[ ${KDE_REQUIRED} == always ]] || { [[ ${KDE_REQUIRED} == optional ]] && use kde; }; } && \
628 has_version kde-base/kdelibs[kdeprefix]; then
629 eerror "Sorry, kdeprefix support has been removed."
630 eerror "Please rebuild kdelibs without kdeprefix support."
631 die "kdeprefix support has been removed"
632 fi
633
634 # Don't set KDEHOME during compilation, it will cause access violations 600 # Don't set KDEHOME during compilation, it will cause access violations
635 unset KDEHOME 601 unset KDEHOME
636 602
637 # Check if gcc compiler is fresh enough. 603 # Check if gcc compiler is fresh enough.
638 # In theory should be in pkg_pretend but we check it only for kdelibs there 604 # In theory should be in pkg_pretend but we check it only for kdelibs there
639 # and for others we do just quick scan in pkg_setup because pkg_pretend 605 # and for others we do just quick scan in pkg_setup because pkg_pretend
640 # executions consume quite some time. 606 # executions consume quite some time (ie. when merging 300 packages at once will cause 300 checks)
641 # We can only do this for EAPI 4 or later because the MERGE_TYPE variable
642 # is otherwise undefined.
643 if [[ ${EAPI:-0} != 3 ]]; then
644 if [[ ${MERGE_TYPE} != binary ]]; then 607 if [[ ${MERGE_TYPE} != binary ]]; then
645 [[ $(gcc-major-version) -lt 4 ]] || \ 608 [[ $(gcc-major-version) -lt 4 ]] || \
646 ( [[ $(gcc-major-version) -eq 4 && $(gcc-minor-version) -le 3 ]] ) \ 609 ( [[ $(gcc-major-version) -eq 4 && $(gcc-minor-version) -le 6 ]] ) \
647 && die "Sorry, but gcc-4.3 and earlier wont work for KDE (see bug 354837)." 610 && die "Sorry, but gcc-4.6 and earlier wont work for some KDE packages."
648 fi
649 fi 611 fi
650 612
651 KDEDIR=/usr 613 KDEDIR=/usr
652 : ${PREFIX:=/usr} 614 : ${PREFIX:=/usr}
653 EKDEDIR=${EPREFIX}/usr 615 EKDEDIR=${EPREFIX}/usr
663# @DESCRIPTION: 625# @DESCRIPTION:
664# This function unpacks the source tarballs for KDE4 applications. 626# This function unpacks the source tarballs for KDE4 applications.
665kde4-base_src_unpack() { 627kde4-base_src_unpack() {
666 debug-print-function ${FUNCNAME} "$@" 628 debug-print-function ${FUNCNAME} "$@"
667 629
668 if [[ ${BUILD_TYPE} = live ]]; then 630 if [[ ${KDE_BUILD_TYPE} = live ]]; then
669 case ${KDE_SCM} in 631 case ${KDE_SCM} in
670 svn) 632 svn)
671 migrate_store_dir
672 subversion_src_unpack 633 subversion_src_unpack
673 ;; 634 ;;
674 git) 635 git)
675 git-2_src_unpack 636 git-r3_src_unpack
676 ;; 637 ;;
677 esac 638 esac
678 else 639 else
679 unpack ${A} 640 unpack ${A}
680 fi 641 fi
717 enable_selected_doc_linguas 678 enable_selected_doc_linguas
718 fi 679 fi
719 fi 680 fi
720 681
721 # SCM bootstrap 682 # SCM bootstrap
722 if [[ ${BUILD_TYPE} = live ]]; then 683 if [[ ${KDE_BUILD_TYPE} = live ]]; then
723 case ${KDE_SCM} in 684 case ${KDE_SCM} in
724 svn) subversion_src_prepare ;; 685 svn) subversion_src_prepare ;;
725 esac 686 esac
726 fi 687 fi
727 688
728 # Apply patches 689 # Apply patches, cmake-utils does the job already
729 base_src_prepare 690 cmake-utils_src_prepare
730 691
731 # Save library dependencies 692 # Save library dependencies
732 if [[ -n ${KMSAVELIBS} ]] ; then 693 if [[ -n ${KMSAVELIBS} ]] ; then
733 save_library_dependencies 694 save_library_dependencies
734 fi 695 fi
736 # Inject library dependencies 697 # Inject library dependencies
737 if [[ -n ${KMLOADLIBS} ]] ; then 698 if [[ -n ${KMLOADLIBS} ]] ; then
738 load_library_dependencies 699 load_library_dependencies
739 fi 700 fi
740 701
741 # Hack for manuals relying on outdated DTD, only outside kde-base/koffice/... 702 # Hack for manuals relying on outdated DTD, only outside kde-base/...
742 if [[ -z ${KDEBASE} ]]; then 703 if [[ -z ${KDEBASE} ]]; then
743 find "${S}" -name "*.docbook" \ 704 find "${S}" -name "*.docbook" \
744 -exec sed -i -r \ 705 -exec sed -i -r \
745 -e 's:-//KDE//DTD DocBook XML V4\.1(\..)?-Based Variant V1\.[01]//EN:-//KDE//DTD DocBook XML V4.2-Based Variant V1.1//EN:g' {} + \ 706 -e 's:-//KDE//DTD DocBook XML V4\.1(\..)?-Based Variant V1\.[01]//EN:-//KDE//DTD DocBook XML V4.2-Based Variant V1.1//EN:g' {} + \
746 || die 'failed to fix DocBook variant version' 707 || die 'failed to fix DocBook variant version'
756 # Build tests in src_test only, where we override this value 717 # Build tests in src_test only, where we override this value
757 local cmakeargs=(-DKDE4_BUILD_TESTS=OFF) 718 local cmakeargs=(-DKDE4_BUILD_TESTS=OFF)
758 719
759 if use_if_iuse debug; then 720 if use_if_iuse debug; then
760 # Set "real" debug mode 721 # Set "real" debug mode
761 CMAKE_BUILD_TYPE="Debugfull" 722 CMAKE_KDE_BUILD_TYPE="Debugfull"
762 else 723 else
763 # Handle common release builds 724 # Handle common release builds
764 append-cppflags -DQT_NO_DEBUG 725 append-cppflags -DQT_NO_DEBUG
765 fi 726 fi
766 727
783 744
784 # sysconf needs to be /etc, not /usr/etc 745 # sysconf needs to be /etc, not /usr/etc
785 cmakeargs+=(-DSYSCONF_INSTALL_DIR="${EPREFIX}"/etc) 746 cmakeargs+=(-DSYSCONF_INSTALL_DIR="${EPREFIX}"/etc)
786 747
787 if [[ $(declare -p mycmakeargs 2>&-) != "declare -a mycmakeargs="* ]]; then 748 if [[ $(declare -p mycmakeargs 2>&-) != "declare -a mycmakeargs="* ]]; then
749 if [[ ${mycmakeargs} ]]; then
750 eqawarn "mycmakeargs should always be declared as an array, not a string"
751 fi
788 mycmakeargs=(${mycmakeargs}) 752 mycmakeargs=(${mycmakeargs})
789 fi 753 fi
790 754
791 mycmakeargs=("${cmakeargs[@]}" "${mycmakeargs[@]}") 755 mycmakeargs=("${cmakeargs[@]}" "${mycmakeargs[@]}")
792 756
805# @FUNCTION: kde4-base_src_test 769# @FUNCTION: kde4-base_src_test
806# @DESCRIPTION: 770# @DESCRIPTION:
807# Function for testing KDE4 applications. 771# Function for testing KDE4 applications.
808kde4-base_src_test() { 772kde4-base_src_test() {
809 debug-print-function ${FUNCNAME} "$@" 773 debug-print-function ${FUNCNAME} "$@"
774
775 local kded4_pid
776
777 _test_runner() {
778 if [[ -n "${VIRTUALDBUS_TEST}" ]]; then
779 export $(dbus-launch)
780 kded4 2>&1 > /dev/null &
781 kded4_pid=$!
782 fi
783
784 cmake-utils_src_test
785 }
786
787 # When run as normal user during ebuild development with the ebuild command, the
788 # kde tests tend to access the session DBUS. This however is not possible in a real
789 # emerge or on the tinderbox.
790 # > make sure it does not happen, so bad tests can be recognized and disabled
791 unset DBUS_SESSION_BUS_ADDRESS DBUS_SESSION_BUS_PID
810 792
811 # Override this value, set in kde4-base_src_configure() 793 # Override this value, set in kde4-base_src_configure()
812 mycmakeargs+=(-DKDE4_BUILD_TESTS=ON) 794 mycmakeargs+=(-DKDE4_BUILD_TESTS=ON)
813 cmake-utils_src_configure 795 cmake-utils_src_configure
814 kde4-base_src_compile 796 kde4-base_src_compile
815
816 # When run as normal user during ebuild development with the ebuild command, the
817 # kde tests tend to access the session DBUS. This however is not possible in a real
818 # emerge or on the tinderbox.
819 # > make sure it does not happen, so bad tests can be recognized and disabled
820 unset DBUS_SESSION_BUS_ADDRESS
821 797
822 if [[ ${VIRTUALX_REQUIRED} == always || ${VIRTUALX_REQUIRED} == test ]]; then 798 if [[ ${VIRTUALX_REQUIRED} == always || ${VIRTUALX_REQUIRED} == test ]]; then
823 # check for sanity if anyone already redefined VIRTUALX_COMMAND from the default 799 # check for sanity if anyone already redefined VIRTUALX_COMMAND from the default
824 if [[ ${VIRTUALX_COMMAND} != emake ]]; then 800 if [[ ${VIRTUALX_COMMAND} != emake ]]; then
825 # surprise- we are already INSIDE virtualmake!!! 801 # surprise- we are already INSIDE virtualmake!!!
826 debug-print "QA Notice: This version of kde4-base.eclass includes the virtualx functionality." 802 debug-print "QA Notice: This version of kde4-base.eclass includes the virtualx functionality."
827 debug-print " You may NOT set VIRTUALX_COMMAND or call virtualmake from the ebuild." 803 debug-print " You may NOT set VIRTUALX_COMMAND or call virtualmake from the ebuild."
828 debug-print " Setting VIRTUALX_REQUIRED is completely sufficient. See the" 804 debug-print " Setting VIRTUALX_REQUIRED is completely sufficient. See the"
829 debug-print " kde4-base.eclass docs for details... Applying workaround." 805 debug-print " kde4-base.eclass docs for details... Applying workaround."
830 cmake-utils_src_test 806 _test_runner
831 else 807 else
832 VIRTUALX_COMMAND="cmake-utils_src_test" virtualmake 808 VIRTUALX_COMMAND="_test_runner" virtualmake
833 fi 809 fi
834 else 810 else
835 cmake-utils_src_test 811 _test_runner
812 fi
813
814 if [ -n "${kded4_pid}" ] ; then
815 kill ${kded4_pid}
816 fi
817
818 if [ -n "${DBUS_SESSION_BUS_PID}" ] ; then
819 kill ${DBUS_SESSION_BUS_PID}
836 fi 820 fi
837} 821}
838 822
839# @FUNCTION: kde4-base_src_install 823# @FUNCTION: kde4-base_src_install
840# @DESCRIPTION: 824# @DESCRIPTION:
857 done 841 done
858 fi 842 fi
859 843
860 cmake-utils_src_install 844 cmake-utils_src_install
861 845
862 # In EAPI 4+, we don't want ${PREFIX}/share/doc/HTML to be compressed, 846 # We don't want ${PREFIX}/share/doc/HTML to be compressed,
863 # because then khelpcenter can't find the docs 847 # because then khelpcenter can't find the docs
864 [[ ${EAPI:-0} != 3 && -d ${ED}/${PREFIX}/share/doc/HTML ]] && 848 [[ -d ${ED}/${PREFIX}/share/doc/HTML ]] &&
865 docompress -x ${PREFIX}/share/doc/HTML 849 docompress -x ${PREFIX}/share/doc/HTML
866} 850}
867 851
868# @FUNCTION: kde4-base_pkg_preinst 852# @FUNCTION: kde4-base_pkg_preinst
869# @DESCRIPTION: 853# @DESCRIPTION:
870# Function storing icon caches 854# Function storing icon caches
871kde4-base_pkg_preinst() { 855kde4-base_pkg_preinst() {
872 debug-print-function ${FUNCNAME} "$@" 856 debug-print-function ${FUNCNAME} "$@"
873 857
874 gnome2_icon_savelist 858 gnome2_icon_savelist
875 if [[ ${BUILD_TYPE} == live && ${KDE_SCM} == svn ]]; then 859 if [[ ${KDE_BUILD_TYPE} == live && ${KDE_SCM} == svn ]]; then
876 subversion_pkg_preinst 860 subversion_pkg_preinst
877 fi 861 fi
878} 862}
879 863
880# @FUNCTION: kde4-base_pkg_postinst 864# @FUNCTION: kde4-base_pkg_postinst
887 fdo-mime_desktop_database_update 871 fdo-mime_desktop_database_update
888 fdo-mime_mime_database_update 872 fdo-mime_mime_database_update
889 buildsycoca 873 buildsycoca
890 874
891 if [[ -z ${I_KNOW_WHAT_I_AM_DOING} ]]; then 875 if [[ -z ${I_KNOW_WHAT_I_AM_DOING} ]]; then
892 if [[ ${BUILD_TYPE} = live ]]; then 876 if [[ ${KDE_BUILD_TYPE} = live ]]; then
893 echo 877 echo
894 einfo "WARNING! This is an experimental live ebuild of ${CATEGORY}/${PN}" 878 einfo "WARNING! This is an experimental live ebuild of ${CATEGORY}/${PN}"
895 einfo "Use it at your own risk." 879 einfo "Use it at your own risk."
896 einfo "Do _NOT_ file bugs at bugs.gentoo.org because of this ebuild!" 880 einfo "Do _NOT_ file bugs at bugs.gentoo.org because of this ebuild!"
897 echo 881 echo
920 gnome2_icon_cache_update 904 gnome2_icon_cache_update
921 fdo-mime_desktop_database_update 905 fdo-mime_desktop_database_update
922 fdo-mime_mime_database_update 906 fdo-mime_mime_database_update
923 buildsycoca 907 buildsycoca
924} 908}
909
910fi

Legend:
Removed from v.1.112  
changed lines
  Added in v.1.149

  ViewVC Help
Powered by ViewVC 1.1.20